#INCLUDE inch_base.inc
#INCLUDE inch_trivkins.inc
#INCLUDE layout1.inc

[EMC]
VERSION = 1.1
MACHINE = xhc-hb04 layout1 demo

[HAL]
HALFILE = LIB:basic_sim.tcl
HALFILE = LIB:xhc-hb04.tcl
HALUI   = halui

[XHC_HB04_CONFIG]
# specify layout = n for LIB:xhc-hb04-layout{n}.cfg files
layout = 1
# coords: specify upto 4 letters from set {x y z a b c u v w}
# coords: switch labels are xyza but any unique 4 letters
#         from the set {xyxabcuvw) can be used (if the coord exists)
coords = x y z c
# lowpass settings:
# coef: slows rate of change of output,  range: 0 < coef < 1
coefs = 1 1 1 1
# scale plus or minus, rotaries may require larger scale factor:
scales = 1 -1 1 1
# jogmode normal(default) or vnormal
jogmode = normal
# sequence 1: 0.001,0.010,0.100,1.000 (mm-based machine)
# sequence 2: 0.001,0.005,0.010,0.020 (inch-based machine)
# sequence 3: 0.001,0.010,0.100
# sequence 4: 0.001,0.005,0.010,0.020,0.050,0.100
# sequence 5: 0.001,0.010,0.050,0.100,1.000
sequence = 2
# require_pendant = yes|no: create xhc-hb04 hal pins when pendant not
#                           connected at startup
require_pendant = no
# inch_or_mm = in | mm
inch_or_mm = in
# mpg_accels: provision for reduced acceleration for manual mode jogging
mpg_accels = 1 2 20 600

[APPLICATIONS]
APP = monitor-xhc-hb04
